<div
  class='row site-preview-import'
  {{did-insert this.setupRelations}}
  {{did-update this.setupRelations @value}}
>
  {{#if this.alertList}}
    <AlertList @list={{this.alertList}} />
  {{/if}}

  <div class='col {{if this.position "col-md-9 col-12"}}'>
    {{#if @value}}
      {{#if this.feature}}
        <span class='badge bg-warning badge-update-feature'>{{t
            'update'
          }}</span>
        <LinkTo @route='browse.sites.site' @model={{this.feature.id}}>
          {{this.feature.name}}
        </LinkTo>
      {{else}}
        <span class='badge bg-info badge-new-feature'>{{t 'new'}}</span>
      {{/if}}
    {{/if}}

    <Article::Viewer @value={{this.descriptionBlocks}} />

    {{#if this.icons}}
      <h5>{{t 'icons'}}</h5>
      <Browse::Icon::List @icons={{this.icons}} @size='lg' class='mb-3' />
    {{/if}}

    {{#if @value.result.visibility}}
      <p class='visibility'>
        <strong>{{t 'visibility'}}</strong>:
        {{t this.visibility}}
      </p>
    {{/if}}

    {{#if this.maps}}
      <p class='maps'>
        <strong>{{t 'maps'}}</strong>:
        {{#each this.maps as |map|}}
          <LinkTo @route='browse.maps.map-view' @model={{map.id}}>
            {{map.name}}
          </LinkTo>
        {{/each}}
      </p>
    {{/if}}

    {{#if this.author.id}}
      <p class='author'>
        <strong>{{t 'author'}}</strong>:
        <LinkTo @route='browse.profiles.profile' @model={{this.author.id}}>
          {{this.author.fullName}}
        </LinkTo>
      </p>
    {{/if}}

    {{#if this.originalAuthor.id}}
      <p class='original-author'>
        <strong>{{t 'original author'}}</strong>:
        <LinkTo
          @route='browse.profiles.profile'
          @model={{this.originalAuthor.id}}
        >
          {{this.originalAuthor.fullName}}
        </LinkTo>
      </p>
    {{/if}}

    {{#if this.createdOn}}
      <p class='created-on'>
        <strong>{{t 'created on'}}</strong>:
        {{this.createdOn}}
      </p>
    {{/if}}

    {{#if this.contributors}}
      <p class='contributors'>
        <strong>{{t 'contributors'}}</strong>:
        {{#each this.contributors as |contributor|}}
          <LinkTo @route='browse.profiles.profile' @model={{contributor.id}}>
            {{contributor.fullName}}
          </LinkTo>
        {{/each}}
      </p>
    {{/if}}

    <div class='image-list'>
      {{#each this.pictures as |picture|}}
        <img
          src='{{picture.picture}}/sm'
          class='m-1'
          alt=''
          role='presentation'
        />
      {{/each}}
      {{#each this.externalPictures as |picture|}}
        <img src='{{picture}}' class='m-1' alt='' role='presentation' />
      {{/each}}
    </div>

    <Browse::SoundList @sounds={{this.sounds}} />
    {{#each this.externalSounds as |sound|}}
      <audio controls>
        <source src='{{sound}}/mp3-192' type='audio/mpeg' />
        <source src='{{sound}}/aac-192' type='audio/mpeg' />
        <source src='{{sound}}/weba-192' type='audio/mpeg' />
        <source src='{{sound}}/ogg-192' type='audio/ogg' />
      </audio>
    {{/each}}
  </div>

  {{#if this.position}}
    <div class='col col-12 col-md-3'>
      <Browse::Geometry
        @isSmall={{true}}
        @icon={{get this.icons 0}}
        @extent={{this.extent}}
        @baseMaps={{@baseMaps}}
        @value={{this.position}}
      />
    </div>
  {{/if}}

  {{#if this.pageColModel.feature}}
    <View::Feature::Attributes
      @value={{this.attributesPageColValue}}
      @model={{this.pageColModel}}
      class='mt-4'
    />
  {{/if}}
</div>